##
##  gobetween.toml - GoBetween Server Configuration
##

[logging]
level                               = "info"
output                              = "@l_prefix@/var/gobetween/log/gobetween.log"

[api]
enabled                             = true
bind                                = "127.0.0.1:8888"
cors                                = true

    [api.basic_auth]
    login                           = "admin"
    password                        = "admin"

    [api.tls]
    cert_path                       = "@l_prefix@/etc/x509/example-server.crt.pem"
    key_path                        = "@l_prefix@/etc/x509/example-server.key.pem"

[defaults]
max_connections                     = 0
client_idle_timeout                 = "0"
backend_idle_timeout                = "0"
backend_connection_timeout          = "0"

[servers]

    [servers.sample1]
    protocol                        = "udp"
    bind                            = "127.0.0.1:5353"
    balance                         = "roundrobin"

        [servers.sample1.udp]
        max_responses               = 0

        [servers.sample1.discovery]
        kind                        = "static"
        static_list                 = [ "8.8.8.8:53 weight=1", "8.8.4.4:53 weight=1" ]

#    [servers.sample2]
#    protocol                        = "tcp"
#    bind                            = "127.0.0.1:8080"
#    balance                         = "roundrobin"
#
#        [servers.sample2.discovery]
#        kind                        = "static"
#        static_list                 = [ "127.0.0.1:8081 weight=1", "127.0.0.1:8082 weight=1" ]
#
#    [servers.sample3]
#    protocol                        = "tls"
#    bind                            = "127.0.0.1:8443"
#    balance                         = "roundrobin"
#
#        [servers.sample3.tls]
#        cert_path                   = "@l_prefix@/etc/x509/example-server.crt.pem"
#        key_path                    = "@l_prefix@/etc/x509/example-server.key.pem"
#        min_version                 = "tls1"
#        max_version                 = "tls1.2"
#
#        [servers.sample3.discovery]
#        kind                        = "consul"
#        consul_host                 = "127.0.0.1:8500"
#        consul_service_passing_only = true
#        consul_service_name         = "myservice"
#        consul_service_tag          = ""
#
#        [servers.sample3.healthcheck]
#        interval                    = "2s"
#        timeout                     = "0s"
#        fails                       = 1
#        passes                      = 1
#
#        [servers.sample3.backends_tls]
#        cert_path                   = "@l_prefix@/etc/x509/example-server.crt.pem"
#        key_path                    = "@l_prefix@/etc/x509/example-server.key.pem"
#        root_ca_cert_path           = "@l_prefix@/etc/x509/example-ca.crt.pem"
#        ignore_verify               = true
#        min_version                 = "tls1"
#        max_version                 = "tls1.2"

